Package de.willuhn.jameica.hbci.rmi

# Class KontoauszugInterval

java.lang.Object
de.willuhn.jameica.hbci.rmi.KontoauszugInterval

Direct Known Subclasses:
  `KontoauszugInterval.IntervalAlways`, `KontoauszugInterval.IntervalBiWeekly`, `KontoauszugInterval.IntervalMonthly`, `KontoauszugInterval.IntervalNever`, `KontoauszugInterval.IntervalWeekly`

public abstract class KontoauszugInterval extends Object
Enum mit den unterstuetzten Intervalls beim Abruf der PDF-Kontoauszuege.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`KontoauszugInterval.IntervalAlways`
Intervall fuer immer.
`static class`
`KontoauszugInterval.IntervalBiWeekly`
Intervall fuer zwei-woechentlich.
`static class`
`KontoauszugInterval.IntervalMonthly`
Intervall fuer monatlich.
`static class`
`KontoauszugInterval.IntervalNever`
Intervall fuer niemals.
`static class`
`KontoauszugInterval.IntervalWeekly`
Intervall fuer woechentlich.

## Field Summary

Fields
Modifier and Type
Field
Description
`static KontoauszugInterval`
`DEFAULT`
Das Default-Intervall.
`static final List<KontoauszugInterval>`
`KNOWN`
Die Liste der bekannten Intervalle.

## Constructor Summary

Constructors
Constructor
Description
`KontoauszugInterval()`

## Method Summary

Modifier and Type
Method
Description
`static KontoauszugInterval`
`find(String id)`
Liefert das Intervall basierend auf der ID.
`abstract String`
`getId()`
Liefert einen Identifier fuer das Intervall.
`abstract String`
`getName()`
Liefert einen sprechenden Namen fuer das Intervall.
`static Date`
`getNextInterval(Konto k)`
Ermittelt das naechste Abrufdatum fuer die Kontoauszuege im PDF-Format.
`abstract Date`
`getNextInterval(Date last)`
Ermittelt das naechste Intervall basierend auf dem letzten Termin.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static KontoauszugInterval DEFAULT
Das Default-Intervall.

### KNOWN

public static final List<KontoauszugInterval> KNOWN
Die Liste der bekannten Intervalle.

## Constructor Details

### KontoauszugInterval

public KontoauszugInterval()

## Method Details

### getNextInterval

public static Date getNextInterval(Konto k) throws RemoteException
Ermittelt das naechste Abrufdatum fuer die Kontoauszuege im PDF-Format.

Parameters:
  `k` - das zu pruefende Konto.
Returns:
  das Datum fuer den naechsten Abruf oder NULL, wenn keines ermittelbar ist.
Throws:
  `RemoteException`

### find

public static KontoauszugInterval find(String id)
Liefert das Intervall basierend auf der ID.

Parameters:
  `id` - die ID des Intervall.
Returns:
  das Intervall oder NULL, wenn es nicht gefunden wurde.

### getNextInterval

public abstract Date getNextInterval(Date last)
Ermittelt das naechste Intervall basierend auf dem letzten Termin.

Parameters:
  `last` - der letzte Termin. Kann NULL sein.
Returns:
  das naechste Datum oder NULL, wenn keines existiert.

### getId

public abstract String getId()
Liefert einen Identifier fuer das Intervall.

Returns:
  ein Identifier fuer das Intervall.

### getName

public abstract String getName()
Liefert einen sprechenden Namen fuer das Intervall.

Returns:
  sprechender Name fuer das Intervall.